package com.izouma.zhirongip.service;

import com.izouma.zhirongip.ApplicationTests;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDateTime;


class StatisticServiceTest extends ApplicationTests {

    @Autowired
    private StatisticService statisticService;

    @Test
    void getTotal() {
        System.out.println(statisticService.getTotal());
    }


    @Test
    void getDemand() {
        System.out.println(statisticService.getDemand(0));
    }

    @Test
    void getSupply() {
        System.out.println(statisticService.getSupply(1));
    }


    @Test
    void test() {
//        System.out.println(LocalDateTime.of(2021, 9, 5, 0, 0).getDayOfWeek().getValue());
    }
}